Summary : A TV viewer for GNOME
Name: zapping
Version: 0.6.2
Release: 5mdk
License: GPL
URL: http://sourceforge.net/projects/zapping
Group: Video
Source: %name-%version.tar.bz2
BuildRoot: %_tmppath/%name-%version-buildroot
BuildRequires: gcc gdk-pixbuf-devel libarts-devel libglade-devel libunicode-devel
Requires: gtk+ >= 1.2.6
Requires: gnome-libs >= 1.0.40
Requires: libxml >= 1.8.0
Requires: libglade >= 0.9
Requires: gdk-pixbuf >= 0.8
Requires: libunicode >= 0.4
Requires: usermode
Requires: libjpeg, libpng
PreReq: /sbin/install-info


%description
Zapping is a TV viewer for GNOME that supports both Video4Linux 
and Video4Linux2. It's extensible through plugins based on GTK.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build
%configure
%make

%install
for i in zapping_setup_fb/Makefile pixmaps/Makefile; do
		perl -pi -e 's!DESTDIR =.*$!DESTDIR=%{buildroot}!g' $i
done
%makeinstall plugindir=%buildroot%_libdir/zapping/plugins sysconfdir=RPM_BUILD_ROOT%_sysconfdir
pushd %buildroot
	for d in [^h]*/ [^h]*/*/; do
		[ -d home/tv/rpm/tmp/zapping-0.6.1-buildroot/$d ] && \
		for i in home/tv/rpm/tmp/zapping-0.6.1-buildroot/$d/*; do
			[ ! -d $i ] && mv $i $d;
		done
	done
popd

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat > $RPM_BUILD_ROOT/usr/lib/menu/%{name} <<EOF
?package(%name):\
command="/usr/bin/zapping"\
title="Zapping"\
longtitle="A TV viewer for gnome"\
needs="x11" icon="video_section.png" \
section="Multimedia/Video"
EOF
pushd $RPM_BUILD_ROOT/%_bindir
	ln -sf consolehelper zapping_setup_fb;
	ln -sf zapping zapzilla
popd

%{find_lang} %name

%post
%update_menus
  
%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%doc AUTHORS THANKS ChangeLog README README.plugins COPYING TODO BUGS
%doc plugins/alirc/README.alirc
%config(noreplace) %_sysconfdir/pam.d/zapping_setup_fb
%config(noreplace) %_sysconfdir/security/console.apps/zapping_setup_fb
%_bindir/*
%_libdir/zapping
%_datadir/gnome/apps/Multimedia/zapping.desktop
%_datadir/gnome/help/zapping
%_datadir/pixmaps/zapping
%_datadir/zapping
%_menudir/*

%changelog
* Wed Mar 06 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.6.2-5mdk
- still need to make menudir, at least on PPC

* Sat Mar 02 2002 David BAUDENS <baudens@mandrakesoft.com> 0.6.2-4mdk
- Use new video_section.png icon in menu entry and not the one

* Mon Feb 11 2002 Stefan van der Eijk <stefan@eijk.nu> 0.6.2-3mdk
- BuildRequires

* Mon Feb 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.2-2mdk
- provides small icon too

* Mon Feb 8 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.2-1mdk
- new release

* Wed Oct 03 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.1-1mdk
- new release
- PreReq: /sbin/install-info
- add doc for alirc
- add zapzilla link

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.92-4mdk
- Fix broken dependencies
- Add missing files and directories

* Tue Jun 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.92-3mdk
- fix {build,}requires (andre duclos)
- add icon

* Thu May 31 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.92-2mdk
- oops: put back the old group (confusion between menu group & rpm group :-( )

* Thu May 31 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.92-1mdk
- new version
- spec cleanups
: use more %%macros
- add requires
- pamification
- fix group 

* Tue Dec 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.81-1mdk
- new in contribs
